Giriş yapmadınız.

#1 24.04.2019 00:55:45

ekzergonik
Üye
Kayıtlı: 24.04.2019
Mesajlar: 4

Acemi

Laravel frameworkünü ubuntu üzerinde sağlıklı çalıştıramıyorum.

composer ile proje oluşturmaya çalıştığımda ,
Could not parse version constraint –prefer-dist: Invalid version string "–prefer-dist" hatası alıyorum.
Ayrıca ilk indirdiğim laravel dosyasında da localhosttan denediğimde http:500 error hatası alıyorum.
Yardım edebilecek var mı ?

Çevrimdışı

#2 24.04.2019 08:54:01

mgsmus
Moderatör
Yer: Mersin
Kayıtlı: 17.08.2013
Mesajlar: 1,623
Website

Yanıt: Acemi

Şu şekilde son versiyonu kuruyorsunuz, versiyon numarası yazmanıza gerek yok (global composer ile):

$ composer create-project --prefer-dist laravel/laravel my-project

# ya da composer.phar dosyası kullanacaksanız:

$ php composer.phar create-project --prefer-dist laravel/laravel my-project

Ayrıca aşağıdaki linkte yer alan sistem gereksinimlerini karşıladığından emin olun:
https://laravel.com/docs/5.8#installation

Çevrimdışı

#3 24.04.2019 13:49:27

ekzergonik
Üye
Kayıtlı: 24.04.2019
Mesajlar: 4

Yanıt: Acemi

Failed to download laravel/laravel from dist: /var/www/html/laravel/vendor/composer/f1e5175d does not exist and could not be created.
    Now trying to download from source


                                                                                                                                                                 
  [Symfony\Component\Process\Exception\ProcessTimedOutException]                                                                                                                                           
  The process "git clone --no-checkout 'https://github.com/laravel/laravel.git' 'my-project/' && cd 'my-project/' && git remote add composer 'https://github.com/laravel/laravel.git' && git fetch compos 
  er" exceeded the timeout of 300 seconds.

şimdi de bu hataları alıyorum

Çevrimdışı

#4 24.04.2019 14:49:40

ekzergonik
Üye
Kayıtlı: 24.04.2019
Mesajlar: 4

Yanıt: Acemi

Composer cache temizledim ve şimdi de
Project directory my-project/ is not empty.
hatası alıyorum laraveli kurmak neden bu kadar zor ?

Çevrimdışı

#5 24.04.2019 15:51:30

mgsmus
Moderatör
Yer: Mersin
Kayıtlı: 17.08.2013
Mesajlar: 1,623
Website

Yanıt: Acemi

Composer projesini varolan bir dizine kuramazsınız. my-project dizinini silip sıfırdan kurun.

Laravel'i kurmak zor değil, sadece bazı şeyleri öğrenmeniz ve hata mesajlarını okuyabilmeniz gerekiyor.

Çevrimdışı

#6 24.04.2019 16:52:52

deathisonitsway
Üye
Kayıtlı: 01.02.2016
Mesajlar: 445

Yanıt: Acemi

yada doğrudan clone yolu ile :

git clone https://github.com/laravel/laravel.git myProject

cd myProject

composer install

mv .env.example .env

php artisan key:generate

sudo chmod -R 777 /path/myProject/storage  //path sizin laravel dizininizin bulunduğu tam yol

iyi çalışmalar...

Son düzenleyen deathisonitsway (24.04.2019 16:54:03)


Laravel does not save you. Php knowledge only save you. Do not become a Laravel programmer, just the opposite,become php developer.

Çevrimdışı

#7 24.04.2019 22:45:17

ekzergonik
Üye
Kayıtlı: 24.04.2019
Mesajlar: 4

Yanıt: Acemi

Teşekkürler araştırarak bütün sıkıntıları çözdüm ,ilgilendiğiniz için çok teşekkür ederim.

Çevrimdışı

Forum alt kısmı